<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div>

  <div class="modal-header">
    <h4
      class="modal-title overflow-hidden text-overflow-ellipsis text-nowrap"
      id="modal-basic-title"
      [innerText]="messages.USER_DELETION + ' ' + selectedUser.userName">
    </h4>
    <button
      type="button"
      class="btn-close"
      [title]="commonMessages.CLOSE"
      (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
    </button>
  </div>

  <div class="modal-body">

    <div class="alert alert-danger" role="alert">
      <fa-icon class="pe-2" [icon]="commonIcons.WARNING_ICON"></fa-icon>
      <span [innerText]="messages.WARNING_ABOUT_TO_DELETE_USER"></span>
      <div [innerText]="messages.DELETION_IS_INSTANTANEOUS"></div>
    </div>

    <div>
      {{ messages.THIS_USER_IS_LINKED_TO }}
      <span class="fw-bold">
        {{ selectedUser.associatedTenants.length }}
        {{ commonMessages.getPluralized(commonMessages.TENANT, selectedUser.associatedTenants.length) }}.
      </span>
    </div>

    <div
      *ngIf="selectedUser.administeredTenants.length > 0"
      class="mt-3">
      <div class="fw-bold">
        {{ messages.USER_IS_ADMINISTRATOR_OF }}
        {{ selectedUser.administeredTenants.length }}
        {{ commonMessages.getPluralized(commonMessages.TENANT, selectedUser.administeredTenants.length) + "\u00a0:" }}
      </div>
      <div>
        <ul>
          <li
            *ngFor="let tenant of selectedUser.administeredTenants | slice:0:5"
            [innerText]="tenant.name"></li>
          <li *ngIf="selectedUser.administeredTenants.length > 5">…</li>
        </ul>
      </div>
    </div>

  </div>

  <div class="modal-footer">
    <button
      ls-button-cancel
      (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)"></button>
    <button
      ls-button
      [text]="commonMessages.DELETE"
      [style]="styleEnum.DANGER"
      [icon]="commonIcons.DELETE_ICON"
      [disabled]="selectedUser.administeredTenants.length >= 5"
      [ngbTooltip]="(selectedUser.administeredTenants.length >= 5) ? messages.CANNOT_DELETE_A_5_TENANT_ADMIN_TOOLTIP : null"
      [processing]="isProcessing"
      (click)="submit()">
    </button>
  </div>

</div>
